"""
Module contains settings class for luna-licenses service
"""

from typing import Optional

from ..settings.classes import LicenseVendorSetting as _LicenseVendorSetting
from .base_python_service_settings import BasePythonServiceSettingsClass


class SettingsLicenses(BasePythonServiceSettingsClass):
    """
    Settings class for luna-licenses service
    Attributes:
        vendor (LicenseVendorSetting): vendor settings
    """

    serviceName = "luna-licenses"

    def __init__(self):
        super().__init__()
        self.vendor: Optional[_LicenseVendorSetting] = None

    def applySettings(self):
        """
        Deserialize loaded settings to classes
        """
        super().applySettings()
        self.vendor = _LicenseVendorSetting(self.serviceName, self["LICENSE_VENDOR"])
